Skip to main content
GET
/
api
/
v1
/
actions
Show overall progress of actions triggered
curl --request GET \
  --url https://cloud.bytebeam.io/api/v1/actions \
  --header 'x-bytebeam-api-key: <api-key>' \
  --header 'x-bytebeam-tenant: <api-key>'
{
  "actions": [
    {
      "payload_type": "json",
      "type": "<string>",
      "user_email": "<string>",
      "action_id": 123,
      "user_name": "<string>",
      "created_at": {},
      "statuses": {},
      "statuses_phased": {}
    }
  ],
  "count": 123
}

Authorizations

x-bytebeam-api-key
string
header
required

API key required to authenticate requests.

x-bytebeam-tenant
string
header
required

Tenant(Project) name required to identify the project.

Query Parameters

page
integer<int64>
limit
integer<int64>
incomplete
boolean
action_types
string
creators
string
ids
string

Response

actions
object[]
required
count
integer<int64>
required